---
title: "Enlaces"
date: 2021-02-12T11:28:51+0100
draft: false

lightgallery: true

math:
  enable: true
---

## Colección de enlaces

### Propios
- La postinstalación de Linux Mint (Linux Mint Uma 20.2 en el momento de escribir esto). Disponible en [gitlab](https://gitlab.com/salvari/guide_LinuxMint) y en [mi git privado](https://git.comacero.com/salvari/guide_LinuxMint)
- [Presentaciones](https://salvari.gitlab.io/presentaciones/)
- [Mis dotfiles](https://gitlab.com/salvari/usrcfg_legion_ulyana)
- Mi [configuración de Emacs](https://git.comacero.com/System/emacs_config_2022/src/branch/main/myconfig.org)

### TBD
- [Gemini and Gopher](https://thedorkweb.substack.com/p/gopher-gemini-and-the-smol-internet)
- [Conociendo el protocolo Gemini (davidochobits)](https://www.ochobitshacenunbyte.com/2021/10/27/conociendo-el-protocolo-gemini/)
- [Intro rápida a Gemini (victorhck)](https://victorhckinthefreeworld.com/2021/11/01/introduccion-rapida-del-lenguaje-de-marcado-para-el-protocolo-gemini/)
- [Recetas variadas](https://www.bonappetit.com/recipes/family-meals/slideshow/one-dish-dinner-ideas?utm_source=pocket-newtab)
- [GYSHIDO](https://gyshido.com/)
- [Awesome Humane Tech](https://github.com/humanetech-community/awesome-humane-tech)

### Blogs

* [Atareao](https://www.atareao.es/)
* [caligari's blog](https://caligari.treboada.net/)
* [Collaboratorio](https://colaboratorio.net/)
* [Elbinario](https://elbinario.net/)
* [El blog de Lázaro](https://elblogdelazaro.org/)
* [El Pingüino Tolkiano](https://elpinguinotolkiano.wordpress.com/)
* [La Mirada del Replicante](https://lamiradadelreplicante.com/)
* [ochobitshacenunbyte](https://www.ochobitshacenunbyte.com/)
* [Salmorejo Geek](https://salmorejogeek.com/)
* [uGeek](https://ugeek.github.io/)
* [Victorhck in the free world](https://victorhckinthefreeworld.com/)

### Books

* [epublibre](https://epublibre.org/)
* [arsenio](https://howtoarsenio.blogspot.com/)
* [Larabeau](https://larabeau169.blogspot.com/)
* [Galiciale - Prestamo de libros electrónicos](https://www.galiciale.gal/)
* [PDFDrive](https://es.pdfdrive.com/)

### Docker

* [Containeroo in Medium](https://medium.com/@containeroo)

### Blender
- [Tutorial con Blender 2.9. Figura de lego en Blender](https://www.youtube.com/playlist?app=desktop&list=PLiAAG68rQ-JmbBolieBiJHU8WqrxprTaY)
- [Blender 2020 by Yoney Gallardo](https://www.youtube.com/playlist?list=PL5vjFJ0wFekK6XCQehqsiA6veA4WsDkhg)
- [Curso de Blender 2.80 by Blendtuts-es](https://www.youtube.com/watch?v=iIcHsLBE1gg&list=PLBn8E6Sfz0f0UCTEHQ7pL7KKsrvi6HK-8)
- [Blender 2.8 by Odin3D](https://www.youtube.com/playlist?list=PLtTihkmhPW7jdZKHaMSeQh5ms456zI7SK)
- [La magia de las tres diosas (tuto Blender 2.9)](https://mega.nz/folder/N59iCRqb#J8hzhXTHER2pIB6PtmVdgw)

### Electrónica
- [Jupyter Notebooks de electrónica aplicada](https://github.com/eaiii-frba-utn/2020)
- [Panelizador KiCAD](https://github.com/yaqwsx/KiKit)
- [Electronic Parts for FreeCAD](https://github.com/FreeCAD/FreeCAD-library/tree/master/Electronics%20Parts)
- [Socratic Electronics](https://book.huihoo.com/socratic-electronics/index.html)
- [Electronics Club Info](https://electronicsclub.info/)
- [Electronics Tutorials](https://www.electronics-tutorials.com/)

### Emacs
- [Practical Common Lisp](https://gigamonkeys.com/book/) (el libro)
- [An Introduction to Emacs Lisp](https://harryrschwartz.com/2014/04/08/an-introduction-to-emacs-lisp.html)
- [Exec path from shell](https://github.com/purcell/exec-path-from-shell)
- [Emacs Keyboard Macros](https://www.gnu.org/software/emacs/manual/html_node/emacs/Keyboard-Macros.html)
- [System Crafters Live! - Replacing Ivy and Counsel with Vertico and Consult](https://www.youtube.com/watch?v=UtqE-lR2HCA)
- [Emacs and elisp series by Sacha Hua](https://emacslife.com/read-lisp-tweak-emacs/beginner-1-try-emacs-lisp.html)
- [Bodacious Blog LSP](https://mullikine.github.io/posts/setting-up-lsp-with-emacs-attempt-2/)
- [What you need to know about variables in Emacs](https://opensource.com/article/20/3/variables-emacs)
- [Emacs for Professionals](https://tilde.town/~ramin_hal9001/emacs-for-professionals/index.html)

### FreeCAD
- [Appimages oficiales](https://wiki.freecadweb.org/AppImage)
- [FreeCAD realthunder appimage](https://github.com/realthunder/FreeCAD/releases)
- [Pagina del grupo telegram en español](https://telegra.ph/Grupo-Telegram-de-FreeCAD-en-Espa%C3%B1ol-07-12)
- [FreeCAD y LibreOffice I](https://www.youtube.com/watch?v=JonLXQdCgjE)
- [FreeCAD y LibreOffice II](https://www.youtube.com/watch?v=MVnTECNfr2g)
- [FreeCAD y SQLite](https://www.youtube.com/watch?v=zUoz9jvCexQ)
- [Datum Line and Plane](https://www.youtube.com/watch?v=zY3dzk1Q554)
- [Pie Menu](https://www.youtube.com/watch?v=tq-FJH0p9aE)
- [Diseño de muebles (inglés)](https://www.youtube.com/watch?v=-MTvvxgDNck)
- [Biblioteca de partes](https://www.youtube.com/watch?v=jwmJ3UmU36Q)
- [Making Models that don't brake in FreeCAD](https://www.youtube.com/watch?v=0rMOjJuYOWc)

#### FreeCAD en youtube
Lista de canales de youtube con tutoriales de FreeCAD v0.17 o superior.

##### en inglés:

- [BIM](https://www.youtube.com/user/yorikvanhavre/videos)
- [EJERCICIOS CORTOS](https://www.youtube.com/channel/UCcAykT4R6EqbxBcGQnZ6ugA/videos)
- [INGENIERIA](https://www.youtube.com/channel/UC-CubOaooNwC-3RBKUoAOQQ/videos)
- [GENERAL](https://www.youtube.com/playlist?list=PL2935W76vRNFvUGefQr3q9P9eezJZyj-u)
- [PLANOS EN 2D CON TECHDRAW WORBENCH](https://www.youtube.com/watch?v=SbKWf7MalAk&feature=youtu.be)
- [AllVisuals4U](https://www.youtube.com/watch?v=4DjCLZNg60U&list=PLKu--JcOZKTPE13UyWyrS8Hp5-kgnTifN)
- [Green House](https://www.youtube.com/watch?v=D42WWxpmxX4&list=PLIyrynzzt5G5OC3ReC8QnnbuHoKCgWHEn)
- [FreeCAD Fun](https://www.youtube.com/channel/UCLAlHFvNYh4gCgPAIzBPEdg/videos)
- [Bugman](https://www.youtube.com/user/fiestasbc/videos)
- [mathcodeprint](https://www.youtube.com/channel/UCnxMaGMCrWAQgwF61ISRpGw/videos)
- [Martham Engineering](https://www.youtube.com/user/MarthamEngineering/videos)
- [Freecadscourse](https://www.youtube.com/channel/UCIJuGbJfjFqCIPcEi2EbVHw/videos)
- [WayofWood (muebles)](https://www.youtube.com/channel/UCf2O0du4zmenNfsj9YOVQow/videos)
- [Art etc](https://www.youtube.com/user/TheApeksha1/videos)
- [OpenFOAM Basic_FreeCAD Tutorial](https://www.youtube.com/channel/UCYDPojl9ZmKyR4-j6Lyk8Jw/videos)
- [CMC](https://www.youtube.com/channel/UC4xuYPohw3mnReqKmFRwGJA/videos)
- [hotkeys](https://www.youtube.com/watch?v=ya3jZbqc1gc)
- [offset sketch lines](https://www.youtube.com/watch?v=jwmJ3UmU36Q)
- [Customization UI and Pie Menu](https://youtu.be/6iU0g-X5Z1g)

##### en español:

- [Grupo de Telegram](https://www.youtube.com/watch?v=dx45_Ld1Y0c&list=PLK12W-BKQ-CqQBIY6dwpV3gL8lEPpSftD)
- [Berserk Design](https://www.youtube.com/channel/UCxlzay2WfCSmvxp1t3_FMcg/videos)
- [Rafael García](https://www.youtube.com/user/rafitadeux/videos)
- [Bernardo Cruz](https://www.youtube.com/channel/UCoGrMJ4YMsh4XKMPIpLTfbw/videos)
- [Mecatronica LATAM](https://www.youtube.com/channel/UCZOXUOIsWt3YAigw6viuvJQ/videose)
- [Learn in Motion](https://www.youtube.com/channel/UCldD3zRWU_c5XzYwt-yt9ng/videos)
- [Infoductiva](https://www.youtube.com/playlist?list=PLI_f8FPnG8MjLV4ZLgRRtczjB2TGdfqSM)
- [Tato3D CAD tutoriales](https://m.youtube.com/channel/UCvTdlVSgwv1jb1KMyrXrT-A)
- [ALSW](https://www.youtube.com/watch?v=EesVfQyR728&list=PLWQQswW6kqpUrvXvRX7V3o-B8UiQ0atGj)
- [Diseño para impresión 3D](https://www.computeraideddesignguide.com/how-to-design-for-3d-desktop-printers-an-in-depth-tutorial/)
- [Reparación de mallas en FreeCAD](https://www.youtube.com/watch?v=Sk7jfJQqpC0&feature=youtu.be&fbclid=IwAR396QzHqVJ7Utrkqf5A4nNfUfyNLR3Y8PYhnQuY51y1o6eY2wJ7BWCasQI)
- [Un galpón con BIM](https://www.youtube.com/watch?v=1d4vuUD69LM)
- [Herramienta Croquis](https://www.youtube.com/watch?v=Y0y0xL1OrnQ)
- [Dodo workbench - Tuberias y estructuras](https://www.youtube.com/watch?v=5t3xHB-hzKs)
- [Curved Shapes wb](https://www.youtube.com/watch?v=pbhf--Ql77k&t=1s)
- [Taladros RepRap](https://www.youtube.com/watch?v=O7kMUOwMo18)
- [Rueda dentada](https://youtu.be/KMcJZtlkyW4)

##### Grupo telegram
- [Texto SVG Inkscape](https://t.me/FreeCAD_Es/38467)
- [Texto 3D](https://t.me/FreeCAD_Es/42818)

### Gimp

- [Davis Media Design](https://www.youtube.com/channel/UCq79-lfj2w7oRXGRcOP2B7g) Buenos video tutoriales de Gimp e Inkscape

### Foto

- [Beginers Guide to Astrophotography](https://nightskypix.com/beginners-guide-to-astrophotography/)

### Homeassistant

* [SmartHomeBeginner](https://www.smarthomebeginner.com/traefik-2-docker-tutorial/)
* [Guia del Sonoff Bridge](https://www.digiblur.com/2020/07/how-to-use-sonoff-zigbee-bridge-with.html)
* [Zoneminder and HAS](https://www.home-assistant.io/integrations/zoneminder/)

### KiCAD
-[KiCAD stm32 lib](https://hackaday.io/project/41388-pd-buddy-dev/log/87486-working-on-the-kicad-stm32-library)

### Mapas

- [Instituto Geominero Español](http://info.igme.es/cartografiadigital/geologica/Default.aspx)
- [Sistema de Información de Ocupación del Suelo en España](https://www.siose.es/web/guest/inicio)
- [Cartas Naúticas Online](https://www.nauticalnewstoday.com/cartas-nauticas-online-gratis/)
- [Open Sea Map](https://map.openseamap.org/)
- [Instituto Hidrográfico de la Marina](https://ideihm.covam.es/portal/servicios-web/)
- [Visualizador de cartas naúticas del IHM](https://ideihm.covam.es/visualizador/inicio)
- [Apuntes de Cartografía Naútica de la Armada](https://armada.defensa.gob.es/ArmadaPortal/ShowProperty?nodePath=/BEA%20Repository/Desktops/Portal/ArmadaEspannola/Pages/mardigitalbiblioteca/05hidrografia/05hidrograf%C3%ADa-es/doc994cartografianautica//archivo)

### misc

* [SSH Tunels](https://robotmoon.com/ssh-tunnels/)
* [How to use SSH Tunnels](https://www.howtogeek.com/168145/how-to-use-ssh-tunneling)
* [Empezando con ZFS en Linux](https://blog.linuxserver.io/2019/05/14/getting-started-with-zfs-on-linux/)
* [F' el framework del JPL](https://gihtub.com/nasa/fprime)
* [Git tutorial](https://rachelcarmena.github.io/2018/12/12/how-to-teach-git.html)
* [Git tuto ](https://github.com/UnseenWizzard/git_training) (casi igual que el anterior)
* [Linux y webcams](https://www.linuxlinks.com/webcam/)
* [Reports de curl con variables](https://56k.es/fanta/tiempos-de-respuesta-detallados-con-curl/)
* [Guía do mastodon (galego)](https://mastodon.help/gl)

### Programming Languages

* [Colección de Libros Abiertos](https://csgordon.github.io/books.html)

#### D programming language

* [Programming in D (Ali Çehreli)](http://ddili.org/ders/d.en/index.html)

#### Golang

* [Official Go Doc](https://go.dev/doc/)
* [A Tour of Go](https://go.dev/tour/welcome/1)
* [Learn Go with Tests](https://quii.gitbook.io/learn-go-with-tests/)
* [Golang Structures](https://medium.com/remotepanda-blog/golang-data-structures-chapter-5-part-1-f2807c3627ff) (en Medium)
* [Go patterns](https://github.com/tmrts/go-patterns)
* [Recursos para aprender](https://github.com/golang/go/wiki/Learn)
* [Go Bootcamp](http://www.golangbootcamp.com/book)
* [Golang in 7 hours](https://www.youtube.com/watch?v=YS4e4q9oBaU&t=15s) (Video curso para principiantes)

#### Python

* [Python Design Patters (by Brandon Rhodes)](https://python-patterns.guide/)
* [Complete Introduction to the 30 Most Essential Data Structures & Algorithms ](https://dev.to/iuliagroza/complete-introduction-to-the-30-most-essential-data-structures-algorithms-43kd)
* [73 Examples to Master F-strings](https://miguendes.me/73-examples-to-help-you-master-pythons-f-strings)
* [TDD with Python](https://www.youtube.com/watch?v=eAPmXQ0dC7Q) Un video tutorial
* [Maps with kepler.gl](https://medium.com/nightingale/how-to-create-eye-catching-maps-with-python-and-kepler-gl-e7e897eff8ac)
* [Free-Python-Books (github repo)](https://github.com/pamoroso/free-python-books)
* [Practical Deep Learning for Coders](https://course.fast.ai/)
* [Huggin Face Course](https://huggingface.co/course/chapter1)
* [NLP text preprocessing all in one](https://michael-fuchs-python.netlify.app/2021/06/23/nlp-text-pre-processing-all-in-one/)
* [Research Software Engineering with Python](https://merely-useful.tech/py-rse/) Una página hecha con programadores para ayudar a científicos sin conocimientos profundos de programación.
* [Advanced DSP with Python](https://youtube.com/playlist?list=PL6QnpHKwdPYhIt-zvYMSYXzLpQ0MMRVTK) Lista de videos en youtube
* [Advanced DSP with Python](https://invidious.flokinet.to/playlist?list=PL6QnpHKwdPYhIt-zvYMSYXzLpQ0MMRVTK) Lista de videos en Invidious

##### Python Frameworks
- [Learn py4web](https://inv.bp.projectsegfau.lt/playlist?list=PLAVb3DQlAH4tIvdAsmese0_xRkvZYlox0) Un curso de Luca de Alfaro

##### Python GUI
- [PySimpleGUI](https://www.pysimplegui.org)
- [PySimpleGUI github readme](http://www.PySimpleGUI.com)
- [PySimpleGUI videos](https://iv.melmac.space/playlist?list=PLl8dD0doyrvFfzzniWS7FXrZefWWExJ2e)

#### Rust

* [Rust Data Structures and Algorithms](https://www.hackertouch.com/rust-data-structures-and-algorithms.html)
* Rust Basic Series:
  - [1 - Intro](https://itsfoss.com/rust-introduction/)
  - [2 - Variables](https://itsfoss.com/rust-variables/)
  - [3 - Data Types](https://itsfoss.com/rust-data-types/)
  - [4 - Arrays and Tuples](https://itsfoss.com/rust-arrays-tuples/)
  - [5 - Functions](https://itsfoss.com/rust-functions/)
  - [6 - Conditionals](https://itsfoss.com/rust-if-else/)
  - [7 - Loops](https://itsfoss.com/rust-loops/)
  - [8 - Milestone Program](https://itsfoss.com/milestone-rust-program/)

#### Raku

- [Raku Guide](https://raku.guide/)
- [Think Raku](https://raw.githubusercontent.com/LaurentRosenfeld/think_raku/master/PDF/think_raku.pdf)


### Podcasts

- [Compilando Podcast](https://compilando.audio/)


### Proyectos

- [TinyGroundStation](https://tinygs.com/)
- [HomeBuiltRovs](https://www.homebuiltrovs.com/)
- [OpenSourceRov](https://www.techmonkeybusiness.com/articles/OpenSource_ROV.html)

### Recursos

- [FreeSVG](https://freesvg.org/)
- [Kiwix Library](https://docs.google.com/spreadsheets/d/1lWXdwy3OIfZ1Ob2cQR707OMHSva3khTcAXZE9MK9ad8/edit#gid=598202886)
- [Software Libre](https://indecacpd.es/flisol/#frame2210) Definición de Sw Libre

#### Servidores jitsi
- <https://jitsi.eus/>
- <https://meet.jit.si/>
- <https://vc.autistici.org/>
- <https://meet.mayfirst.org/>
- <https://meet.guifi.net/>
- <https://calls.disroot.org/>
- <https://jitsi.riot.im/>
- <https://framatalk.org/>

### Utilidades

- [Visualizador de regexp](https://blog.robertelder.org/regular-expression-visualizer/)
- [VeeCAD (solo en windows)](https://veecad.com/)
- [Limpiar URL](https://urlclean.com/)

### Virtualizaciones

#### Proxmox
- [Proxmox Begginers Tutorial](https://forum.proxmox.com/threads/proxmox-beginner-tutorial-how-to-set-up-your-first-virtual-machine-on-a-secondary-hard-disk.59559/)
- [A home lab server with Proxmox](https://www.youtube.com/watch?v=sQ1ECPMtAJY)
- <https://medium.com/@liamcs98/functional-proxmox-homelab-framework-1bc7a68cc559>
- [Installing Docker and Portainer on Proxmox](https://getmethegeek.com/blog/2020-04-20-installing-docker-and-portainer-on-proxmox/)

### Zettlekasten

- [Zettelkasten Method: How to Take Smart Notes for Knowledge Management](https://leananki.com/zettelkasten-method-smart-notes/?utm_source=pocket_mylist)
- [How To Take Smart Notes: 10 Principles to Revolutionize Your Note-Taking and Writing](https://forimtelabs.co/blog/how-to-take-smart-notes/?utm_source=pocket_mylist)


### Cursos que estoy siguiendo

- [FreeCAD 0.20 for Beginners](https://youtube.com/playlist?list=PLWuyJLVUNtc0UszswD0oD5q4VeWTrK7JC)

- [Mega curso de Gimp](https://youtube.com/playlist?list=PLG1qdjD__qH64tCQ756M--FVvhHyCLUA9)
    - [Gimp (curso básico)](https://youtube.com/playlist?list=PLG1qdjD__qH4DFgI6MoCgx3snvWjLj5bP)
    - [Gimp (curso intermedio)]()
    - [Gimp (curso avanzado)](https://youtube.com/playlist?list=PLG1qdjD__qH4W-XyMBg82qS4EarwCDP_C)

- [OBS completo](https://youtube.com/playlist?list=PLG1qdjD__qH4WK5LkybqescAxb168zOR1)

<!--

{{< style "img { height: 1.25rem; }" >}}
[![GitHub release (latest by date)](https://img.shields.io/github/v/release/dillonzq/LoveIt?style=flat-square)](https://github.com/dillonzq/LoveIt/releases)
[![Hugo](https://img.shields.io/badge/Hugo-%5E0.62.0-ff4088?style=flat-square&logo=hugo)](https://gohugo.io/)
[![License](https://img.shields.io/github/license/dillonzq/LoveIt?style=flat-square)](https://github.com/dillonzq/LoveIt/blob/master/LICENSE)
[![GitHub stars](https://img.shields.io/github/stars/dillonzq/LoveIt?style=social)](https://github.com/dillonzq/LoveIt)
[![GitHub forks](https://img.shields.io/github/forks/dillonzq/LoveIt?style=social)](https://github.com/dillonzq/LoveIt/fork)
{{< /style >}}

> [:(far fa-kiss-wink-heart fa-fw): LoveIt](https://github.com/dillonzq/LoveIt) is a **clean**, **elegant** but **advanced** blog theme for [Hugo](https://gohugo.io/) developed by [Dillon](https://dillonzq.com).
>
> It is based on the original [LeaveIt Theme](https://github.com/liuzc/LeaveIt) and [KeepIt Theme](https://github.com/Fastbyte01/KeepIt).

![Hugo Theme LoveIt](/images/Apple-Devices-Preview.png "Hugo Theme LoveIt")

### Features

#### Performance and SEO

* :(fas fa-rocket fa-fw): Optimized for **performance**: [99]/[100] on mobile and [100]/[100] on desktop in [Google PageSpeed Insights](https://developers.google.com/speed/pagespeed/insights)
* :(fab fa-searchengin fa-fw): Optimized SEO performance with a correct **SEO SCHEMA** based on JSON-LD
* :(fab fa-google fa-fw): **[Google Analytics](https://analytics.google.com/analytics)** supported
* :(far fa-chart-bar fa-fw): **[Fathom Analytics](https://usefathom.com/)** supported
* :(fas fa-search fa-fw): Search engine **verification** supported (Google, Bind, Yandex and Baidu)
* :(fas fa-tachometer-alt fa-fw): **CDN** for third-party libraries supported
* :(fas fa-cloud-download-alt fa-fw): Automatically converted images with **Lazy Load** by [lazysizes](https://github.com/aFarkas/lazysizes)

#### Appearance and Layout

* [:(fas fa-desktop):]/[:(fas fa-mobile):] **Responsive** layout
* [:(fas fa-sun):]/[:(fas fa-moon):] **[Light]/[Dark]** mode
* :(fas fa-layer-group fa-fw): Globally consistent **design language**
* :(fas fa-ellipsis-h fa-fw): **Pagination** supported
* :(far fa-list-alt fa-fw): Easy-to-use and self-expanding **table of contents**
* :(fas fa-language fa-fw): **Multilanguage** supported and i18n ready
* :(fab fa-css3-alt fa-fw): Beautiful **CSS animation**

#### Social and Comment Systems

* :(far fa-user fa-fw): **Gravatar** supported by [Gravatar](https://gravatar.com)
* :(fas fa-user-circle fa-fw): Local **Avatar** supported
* :(far fa-id-card fa-fw): Up to **64** social links supported
* :(fas fa-share-square fa-fw): Up to **28** share sites supported
* :(far fa-comment fa-fw): **Disqus** comment system supported by [Disqus](https://disqus.com)
* :(far fa-comment-dots fa-fw): **Gitalk** comment system supported by [Gitalk](https://github.com/gitalk/gitalk)
* :(far fa-comment-alt fa-fw): **Valine** comment system supported by [Valine](https://valine.js.org/)
* :(far fa-comments fa-fw): **Facebook comments** system supported by [Facebook](https://developers.facebook.com/docs/plugins/comments/)
* :(fas fa-comment fa-fw): **Telegram comments** system supported by [Comments](https://comments.app/)
* :(fas fa-comment-dots fa-fw): **Commento** comment system supported by [Commento](https://commento.io/)
* :(fas fa-comment-alt fa-fw): **Utterances** comment system supported by [Utterances](https://utteranc.es/)

#### Extended Features

* :(fas fa-search fa-fw): **Search** supported by [Lunr.js](https://lunrjs.com/) or [algolia](https://www.algolia.com/)
* :(far fa-grin-tongue-wink fa-fw): **Twemoji** supported
* :(fas fa-code fa-fw): Automatically **highlighting** code
* :(far fa-copy fa-fw): **Copy code** to clipboard with one click
* :(far fa-images fa-fw): **Images gallery** supported by [lightgallery.js](https://github.com/sachinchoolur/lightgallery.js)
* :(fab fa-font-awesome fa-fw): Extended Markdown syntax for **[Font Awesome](https://fontawesome.com/) icons**
* :(far fa-sticky-note fa-fw): Extended Markdown syntax for **ruby annotation**
* :(fas fa-percentage fa-fw): Extended Markdown syntax for **fraction**
* :(fas fa-square-root-alt fa-fw): **Mathematical formula** supported by [$ \KaTeX $](https://katex.org/)
* :(fas fa-project-diagram fa-fw): **Diagrams** shortcode supported by [mermaid](https://github.com/knsv/mermaid)
* :(fas fa-chart-pie fa-fw): **Interactive data visualization** shortcode supported by [ECharts](https://echarts.apache.org/)
* :(fas fa-map-marked-alt fa-fw): **Mapbox** shortcode supported by [Mapbox GL JS](https://docs.mapbox.com/mapbox-gl-js)
* :(fas fa-music fa-fw): **Music player** shortcode supported by [APlayer](https://github.com/MoePlayer/APlayer) and [MetingJS](https://github.com/metowolf/MetingJS)
* :(fas fa-video fa-fw): **Bilibili player** shortcode
* :(far fa-bell fa-fw): Kinds of **admonitions** shortcode
* :(fas fa-align-left fa-fw): **Custom style** shortcode
* :(fab fa-js-square fa-fw): **Custom script** shortcode
* :(fas fa-i-cursor fa-fw): **Animated typing** supported by [TypeIt](https://typeitjs.com/)
* :(fas fa-arrow-down fa-fw): **Dynamic scroll** supported by [Smooth Scroll](https://github.com/cferdinandi/smooth-scroll)
* :(fas fa-cookie-bite fa-fw): **Cookie consent banner** supported by [cookieconsent](https://github.com/osano/cookieconsent)
* ...

### License

LoveIt is licensed under the **MIT** license.

Check the [LICENSE file](https://github.com/dillonzq/LoveIt/blob/master/LICENSE) for details.

Thanks to the authors of following resources included in the theme:

* [normalize.css](https://github.com/necolas/normalize.css)
* [Font Awesome](https://fontawesome.com/)
* [Simple Icons](https://github.com/simple-icons/simple-icons)
* [Animate.css](https://daneden.github.io/animate.css/)
* [Smooth Scroll](https://github.com/cferdinandi/smooth-scroll)
* [autocomplete.js](https://github.com/algolia/autocomplete.js)
* [Lunr.js](https://lunrjs.com/)
* [algoliasearch](https://github.com/algolia/algoliasearch-client-javascript)
* [lazysizes](https://github.com/aFarkas/lazysizes)
* [object-fit-images](https://github.com/fregante/object-fit-images)
* [Twemoji](https://github.com/twitter/twemoji)
* [lightgallery.js](https://github.com/sachinchoolur/lightgallery.js)
* [clipboard.js](https://github.com/zenorocha/clipboard.js)
* [Sharer.js](https://github.com/ellisonleao/sharer.js)
* [TypeIt](https://typeitjs.com/)
* [$ \KaTeX $](https://katex.org/)
* [mermaid](https://github.com/knsv/mermaid)
* [ECharts](https://echarts.apache.org/)
* [Mapbox GL JS](https://docs.mapbox.com/mapbox-gl-js)
* [APlayer](https://github.com/MoePlayer/APlayer)
* [MetingJS](https://github.com/metowolf/MetingJS)
* [Gitalk](https://github.com/gitalk/gitalk)
* [Valine](https://valine.js.org/)
* [cookieconsent](https://github.com/osano/cookieconsent)

-->
